Saltar al contenido principal
POST
Issue a sub-account key

Autorizaciones

Authorization
string
header
requerido

Your API key, sent as Authorization: Bearer <key>.

Parámetros de ruta

id
string<uuid>
requerido

The sub-account id.

Cuerpo

application/json
name
string
predeterminado:default
Required string length: 1 - 64
allowedTaskTypes
string[]

Self-serve engines the key may submit. Empty or absent means all of them.

dailyCreditLimit
number | null
Rango requerido: 0.01 <= x <= 20000000Debe ser un múltiplo de 0.01
expiresAt
string<date-time> | null

Between 5 minutes and 2 years from now.

Respuesta

The new key, with the raw key in key.

success
boolean
requerido
data
object
requerido